#ifndef __SYMBOL_TABLE_H
#define __SYMBOL_TABLE_H

#define MAX_SYMBOLS 100

int nb_arguments;
char* argument[MAX_SYMBOLS];
char* argument_register[MAX_SYMBOLS];

int nb_local_vars;
char* local_var[MAX_SYMBOLS];
char* local_var_register[MAX_SYMBOLS];

//Constructors
void reset_symbols();
void add_argument(char* id);
void add_local_var(char* id);

//Translation utilities
char* get_register(char* id);
char* get_address(char* id);
void emit_load();  //prelude stack to register
void emit_store(); //postlude register to stack

//Pretty-printer
void print_symbols();

#endif

